
CREATE TABLE IF NOT EXISTS "PercoDevices" (
    "PercoDeviceId" TEXT NOT NULL PRIMARY KEY,
    "MacAddress" TEXT,
    "Address" TEXT,
    "Type" TEXT,
    "LastId" INTEGER,
    "DeviceTimeZoneOffset" TEXT
);

CREATE TABLE IF NOT EXISTS "PercoTimeZones" (
    "PercoTimeZoneId" TEXT PRIMARY KEY,
    "DevicePercoDeviceId" TEXT,
    "OriginalTimeZone" TEXT,
    "DeviceTimeZone" INTEGER,
     CONSTRAINT "FK_PercoTimeZones_PercoDevices_DevicePercoDeviceId" FOREIGN KEY("DevicePercoDeviceId") REFERENCES "PercoDevices"("PercoDeviceId")
);

CREATE INDEX IF NOT EXISTS "IX_PercoTimeZones_DevicePercoDeviceId" ON "PercoTimeZones"("DevicePercoDeviceId");
